import 'package:flutter/material.dart';

class AlwaysKeepCursorEndTextEditingController extends TextEditingController {
  AlwaysKeepCursorEndTextEditingController({String? text}) : super(text: text);

  // @override
  // void set value(TextEditingValue newValue) {
  //   TextEditingValue alterValue = TextEditingValue(
  //       text: newValue.text,
  //       selection: TextSelection.collapsed(offset: newValue.text.length));
  //   super.value = alterValue;
  // }

  @override
  void set text(String newText) {
    value = this.value.copyWith(
        text: newText, selection: TextSelection.collapsed(offset: newText.length), composing: TextRange.empty);
  }
}
