import 'package:flutter/material.dart';

class FormFieldWidget extends StatelessWidget {
  final Widget title;
  final Widget value;
  final double spacing;
  const FormFieldWidget({required this.title, required this.value, this.spacing = 8});

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        title,
        SizedBox(
          width: spacing,
        ),
        value
      ],
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      crossAxisAlignment: CrossAxisAlignment.center,
    );
  }
}
